Bug 461329 - Enable/Disable Wireless Fn Key not working on Eee PC
Enable/Disable Wireless Fn Key not working on Eee PC
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 17:58 EDT by Luis Felipe Marzagao
Modified: 2009-12-18 01:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Felipe Marzagao 2008-09-05 17:58:09 EDT
Description of problem:
Function Key F2 (enable/disable wireless) is not working.


Version-Release number of selected component (if applicable):
eeepc-laptop.ko: Eee PC Hotkey Driver
kernel 2.6.27-0.305.rc5.git6.fc10.i686


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora on Eee PC 4G
2. Try to use Fn+F2

  
Actual results:
Nothing happens


Expected results:
Wireless should turn off/on
Comment 1 Christopher D. Stover 2008-11-02 16:34:59 EST
Are you still experiencing this problem with newer kernels?
Comment 2 Luis Felipe Marzagao 2008-11-03 16:47:42 EST
Christopher: Yes. I'm using F10 with 2.6.27.4-68.

The only way I can turn wireless off and actually save some power is to manually load the pciehp module and then remove the ath5k module, something like this:

service NetworkManager stop
modprobe pciehp pciehp_force=1
ifconfig wlan0 down
rmmod ath5k
echo 0 > /sys/class/rfkill/rfkill0/state
service NetworkManager start

If I only do the echo 0 stuff, then only the led goes off, but wireless still gets surrounding devices, as reported here:

http://forums.fedoraforum.org/showthread.php?t=200602&page=2

If there is any other information I could provide, please tell me.

Thanks
Comment 3 Bug Zapper 2008-11-25 21:58:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 03:21:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:22:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.